---

 source/parse.y |   16 ++++++++++++++++
 1 file changed, 16 insertions(+)

diff --quilt old/source/parse.y new/source/parse.y
--- old/source/parse.y
+++ new/source/parse.y
@@ -455,6 +455,12 @@ Program *ParseMacro(char *expr, char **m
 {
     Program *prog;
 
+#if YYDEBUG
+    int oldyydebug = yydebug;
+    yydebug = 1;
+#endif
+
+
     BeginCreatingProgram();
 
     /* call yyparse to parse the string and check for success.  If the parse
@@ -465,6 +471,11 @@ Program *ParseMacro(char *expr, char **m
         *msg = ErrMsg;
         *stoppedAt = InPtr;
         FreeProgram(FinishCreatingProgram());
+
+#if YYDEBUG
+        yydebug = oldyydebug;
+#endif
+
         return NULL;
     }
 
@@ -474,6 +485,11 @@ Program *ParseMacro(char *expr, char **m
     /* parse succeeded */
     *msg = "";
     *stoppedAt = InPtr;
+
+#if YYDEBUG
+    yydebug = oldyydebug;
+#endif
+
     return prog;
 }
 
